Bug 859530 - DS error log messages with typo
DS error log messages with typo
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
All Linux
low Severity medium
: rc
: 7.0
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 14:40 EDT by Sankar Ramalingam
Modified: 2014-06-17 22:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.2-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Typo in error string. Consequence: Error log message has a typo. Fix: Corrected typo in error string. Result: Error log message is readable.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:09:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sankar Ramalingam 2012-09-21 14:40:57 EDT
Description of problem: DS error log throws an error message with a typo.

Db home directory is not set. Possibly nsslapd-directory (optinally nsslapd-db-home-directory) is missing in the config file.


Version-Release number of selected component (if applicable): 389-ds-base-1.2.11.14


How reproducible: Consistently


Steps to Reproduce:
1. Install the latest build of 389-ds-base build on RHEL6.4 or latest.
2. Create an instance and observe the error logs.
3. The word optionally missing 'o'.

[21/Sep/2012:20:52:42 -0400] - import userRoot: Import complete.  Processed 9 entries in 4 seconds. (2.25 entries/sec)
[21/Sep/2012:20:55:52 -0400] - 389-Directory/1.2.11.14 B2012.258.2153 starting up
[21/Sep/2012:20:55:52 -0400] - Db home directory is not set. Possibly nsslapd-directory (optinally nsslapd-db-home-directory) is missing in the config file.
[21/Sep/2012:20:55:52 -0400] - I'm resizing my cache now...cache was 418095104 and is now 8000000

1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Rich Megginson 2012-10-08 11:14:33 EDT
Upstream ticket:
https://fedorahosted.org/389/ticket/488
Comment 5 Rich Megginson 2013-10-01 19:25:55 EDT
moving all ON_QA bugs to MODIFIED in order to add them to the errata (can't add bugs in the ON_QA state to an errata).  When the errata is created, the bugs should be automatically moved back to ON_QA.
Comment 7 Sankar Ramalingam 2014-01-30 02:58:54 EST
[root@hp-dl380pgen8-02-vm-1 ~]# tail -f /var/log/dirsrv/slapd-testinst/errors
[30/Jan/2014:01:32:05 -0500] - import userRoot: Flushing caches...
[30/Jan/2014:01:32:05 -0500] - import userRoot: Closing files...
[30/Jan/2014:01:32:05 -0500] - All database threads now stopped
[30/Jan/2014:01:32:05 -0500] - import userRoot: Import complete.  Processed 9 entries in 1 seconds. (9.00 entries/sec)
[30/Jan/2014:01:32:20 -0500] - 389-Directory/1.3.1.6 B2014.021.2250 starting up
[30/Jan/2014:01:32:20 -0500] - Db home directory is not set. Possibly nsslapd-directory (optionally nsslapd-db-home-directory) is missing in the config file.
[30/Jan/2014:01:32:20 -0500] - I'm resizing my cache now...cache was 1604263936 and is now 8000000

Typo fixed with the latest RHEL7 bits. Hence, marking the bug as Verified.
Comment 8 Ludek Smid 2014-06-13 06:09:49 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.